<!DOCTYPE html>

<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Quis 2</title>
</head>

<body>
    <div id="app">
        <div v-if="editform == false">
            <input type="text" v-model="nama" />
            <button v-on:click="addUser()">Submit</button>
        </div>
        <div v-else>
            <input type="text" v-model="nama" />
            <button v-on:click="updateUser()">Update</button>
        </div>

        <ul>
            <li v-for="(data, index) in user">{{ data.name }}
                <button type="button" v-on:click="buttomeditUser( data.name, index)">edit</button>
                <button type="button" v-on:click="removeUser(index)">delete</button>
            </li>
        </ul>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2.6.14/dist/vue.js"></script>
    <script>
        var vm = new Vue({
            el: '#app',
            data: {
                nama: '',
                index: 0,
                editform: false,
                user: [{
                    name: 'Machsalmina Hizqil',
                }, {
                    name: 'Ruby Purwanti',
                }, {
                    name: 'Faqih Muhammad',
                }],

            },
            methods: {
                addUser: function() {
                    let newuser = this.nama.trim();
                    if (!newuser) {
                        return;
                    }
                    this.user.push({
                        name: newuser,
                    });
                    this.nama = '';
                },
                buttomeditUser: function(data, index) {
                    this.editform = true
                    this.nama = data
                    this.index = index
                },
                updateUser: function() {
                    this.user[this.index].name = this.nama

                    this.nama = ''
                    this.index = 0
                    this.editform = false
                },
                removeUser: function(index) {
                    let yakin = confirm("Anda Yakin?");
                    if (yakin) {
                        this.user.splice(index, 1);
                    }
                }
            },


        })
    </script>
</body>

</html>